Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.GIOP
Class LocateRequestHeader_1_0

    java.lang.Object
      |
      +--org.omg.GIOP.LocateRequestHeader_1_0

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class LocateRequestHeader_1_0
extends java.lang.Object
implements IDLEntity

Struct definition : LocateRequestHeader_1_0

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`byte[]` | `object_key` Struct member object_key
`int` | `request_id` Struct member request_id

Constructor Summary
`LocateRequestHeader_1_0()` Default constructor
`LocateRequestHeader_1_0(int request_id, byte[] object_key)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request_id

    public int request_id

  Struct member request_id

### object_key

    public byte[] object_key

  Struct member object_key

Constructor Detail

### LocateRequestHeader_1_0

    public LocateRequestHeader_1_0()

  Default constructor

### LocateRequestHeader_1_0

    public LocateRequestHeader_1_0(int request_id,
                                   byte[] object_key)

  Constructor with fields initialization
  Parameters:
    `request_id` - request_id struct member
    `object_key` - object_key struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD